<style>
  .select-wrapper {
    position: relative;
    display: inline-block;
    font-family: Arial, sans-serif;
  }

  .select-wrapper select {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    outline: none;
    border: none;
    background-color: #f2f2f2;
    padding: 8px 12px;
    font-size: 14px;
    color: #333;
    cursor: pointer;
    border-radius: 4px;
    box-sizing: border-box;
  }

  .select-wrapper select:hover {
    background-color: #e6e6e6;
  }

  .select-wrapper select:focus {
    box-shadow: 0 0 0 2px rgba(51, 102, 255, 0.4);
    background-color: #f2f2f2;
  }

  .select-wrapper select option {
    background-color: #fff;
    color: #333;
  }
</style>

<div class="select-wrapper">
  <select #selLang (change)="translateLanguageTo(selLang.value)">
    <option *ngFor="let language of translate.getLangs()" [value]="language">
      {{ language }}
    </option>
  </select>
</div>
